Apps: Push Notification Settings
PUT /apps/{app_id}/push_notification_settingsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
setting_attributes |
object | No | |
setting_attributes.add_location_params_to_push_urls |
boolean | Yes | value can either be true or false |
setting_attributes.push_notification_ttl |
int | No | it’s push notification time to live (should be greater than 0) |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/push_notification_settings \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json' \ --data '{ "setting_attributes": { "add_location_params_to_push_urls": false, "push_notification_ttl": 24 }}'
